# $Revision: 1.164.4.9 $, $Date: 2006/05/31 19:20:05 $
Summary:	GNOME - virtual file system
Summary(pl):	GNOME - wirtualny system plikw
Name:		gnome-vfs2
Version:	2.14.2
Release:	1
License:	LGPL v2+
Group:		Applications
Source0:	http://ftp.gnome.org/pub/gnome/sources/gnome-vfs/2.14/gnome-vfs-%{version}.tar.bz2
# Source0-md5:	b657e31974d6981adf9b2c4db981f62c
Source1:	%{name}-defaults.list
Patch0:		%{name}-no_g_mime.patch
Patch1:		%{name}-fstab_edit_crash.patch
Patch2:		%{name}-disable_cdda.patch
Patch3:		%{name}-default_cdda_handler.patch
URL:		http://www.gnome.org/
BuildRequires:	GConf2-devel >= 2.14.0
BuildRequires:	ORBit2-devel >= 1:2.14.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	avahi-glib-devel >= 0.6
BuildRequires:	bzip2-devel
BuildRequires:	dbus-glib-devel >= 0.60
BuildRequires:	docbook-dtd412-xml >= 1.0-10
BuildRequires:	fam-devel
BuildRequires:	flex
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.10.3
BuildRequires:	gnome-common >= 2.12.0
BuildRequires:	gnome-doc-tools
BuildRequires:	gtk+2-devel >= 2:2.8.18
BuildRequires:	gtk-doc >= 1.4
BuildRequires:	hal-devel >= 0.5.7
BuildRequires:	heimdal-devel >= 0.7
BuildRequires:	intltool >= 0.34.2
BuildRequires:	libbonobo-devel >= 2.14.0
BuildRequires:	libsmbclient-devel >= 3.0
BuildRequires:	libtool >= 2:1.5.14
BuildRequires:	libxml2-devel >= 2.6.21
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
BuildRequires:	rpm-build >= 4.1-10
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	zlib-devel
Requires(post,preun):	GConf2 >= 2.14.0
Requires:	ORBit2 >= 1:2.14.0
Requires:	libbonobo >= 2.14.0
Requires:	shared-mime-info >= 0.15
Obsoletes:	gnome-vfs-extras
Obsoletes:	gnome-vfs2-vfolder-menu
Conflicts:	gnome-vfs2-module-menu <= 0.8-1
Conflicts:	libgnome < 2.5.1
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Virtual File System.

%description -l pl
Wirtualny Systemu Plikw GNOME.

%package libs
Summary:	gnome-vfs library
Summary(pl):	Biblioteka gnome-vfs
Group:		Libraries
Requires:	hal-libs >= 0.5.6
Requires:	libbonobo >= 2.14.0

%description libs
This package contains gnome-vfs libraries.

%description libs -l pl
Pakiet zawiera biblioteki gnome-vfs.

%package devel
Summary:	gnome-vfs - header files
Summary(pl):	gnome-vfs - pliki nagwkowe
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	GConf2-devel >= 2.14.0
Requires:	avahi-glib-devel >= 0.6
Requires:	dbus-glib-devel >= 0.34
Requires:	gtk-doc-common
Requires:	libbonobo-devel >= 2.14.0
Requires:	openssl-devel >= 0.9.7d

%description devel
This package contains header files for gnome-vfs library.

%description devel -l pl
Pakiet ten zawiera pliki nagwkowe biblioteki gnome-vfs.

%package static
Summary:	gnome-vfs - static libraries
Summary(pl):	gnome-vfs - biblioteki statyczne
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains static gnome-vfs libraries.

%description static -l pl
Pakiet ten zawiera biblioteki statyczne gnome-vfs.

%package apidocs
Summary:	gnome-vfs API documentation
Summary(pl):	Dokumentacja API gnome-vfs
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
gnome-vfs API documentation.

%description apidocs -l pl
Dokumentacja API gnome-vfs.

%prep
%setup -q -n gnome-vfs-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
# force rebuild
touch libgnomevfs/GNOME_VFS_Daemon.idl
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-howl \
	--disable-schemas-install \
	--enable-gtk-doc \
	--enable-ipv6 \
	--with-html-dir=%{_gtkdocdir}
	
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4dir=%{_aclocaldir} \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

# no static modules
rm -f $RPM_BUILD_ROOT%{_libdir}/{gnome-vfs-2.0/modules,bonobo/monikers}/*.{la,a}
rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/*/filesystems/*.{la,a}

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/defaults.list

%find_lang gnome-vfs-2.0

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install desktop_default_applications.schemas
%gconf_schema_install desktop_gnome_url_handlers.schemas
%gconf_schema_install system_dns_sd.schemas
%gconf_schema_install system_http_proxy.schemas
%gconf_schema_install system_smb.schemas

%preun
%gconf_schema_uninstall desktop_default_applications.schemas
%gconf_schema_uninstall desktop_gnome_url_handlers.schemas
%gconf_schema_uninstall system_dns_sd.schemas
%gconf_schema_uninstall system_http_proxy.schemas
%gconf_schema_uninstall system_smb.schemas

%post	libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files -f gnome-vfs-2.0.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%{_sysconfdir}/gnome-vfs-2.0
%{_sysconfdir}/gconf/schemas/desktop_default_applications.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_url_handlers.schemas
%{_sysconfdir}/gconf/schemas/system_dns_sd.schemas
%{_sysconfdir}/gconf/schemas/system_http_proxy.schemas
%{_sysconfdir}/gconf/schemas/system_smb.schemas
%attr(755,root,root) %{_bindir}/gnomevfs-*
%attr(755,root,root) %{_libdir}/gnome-vfs-daemon
%dir %{_libdir}/gnome-vfs-2.0
%dir %{_libdir}/gnome-vfs-2.0/modules
%attr(755,root,root) %{_libdir}/gnome-vfs-2.0/modules/*.so
%{_libdir}/bonobo/servers/*
%attr(755,root,root) %{_libdir}/bonobo/monikers/*.so
%{_desktopdir}/*.list

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/gnome-vfs-2.0
%{_includedir}/gnome-vfs-module-2.0
%{_libdir}/gnome-vfs-2.0/include
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gnome-vfs-2.0

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-vfs2.spec,v $
Revision 1.164.4.9  2006/05/31 19:20:05  freetz
- 2.14.2, GNOME 2.14.2 deps, removed obsolete patches

Revision 1.164.4.8  2006/05/23 20:43:12  freetz
- fixed bugs in smb and ftp methods (patches), rel.6, STBR

Revision 1.164.4.7  2006/05/21 09:30:49  freetz
- bugfixes:
  http://bugzilla.gnome.org/show_bug.cgi?id=341446
  http://bugzilla.gnome.org/show_bug.cgi?id=340910
  http://bugzilla.gnome.org/show_bug.cgi?id=341534
  http://bugzilla.gnome.org/show_bug.cgi?id=338893
  http://bugzilla.gnome.org/show_bug.cgi?id=321320
  http://bugzilla.gnome.org/show_bug.cgi?id=302436
  http://bugzilla.gnome.org/show_bug.cgi?id=337014
  http://bugzilla.gnome.org/show_bug.cgi?id=335250
  rel.5, STBR

Revision 1.164.4.6  2006/05/19 14:15:39  baggins
- release 4
- fix typo in R

Revision 1.164.4.5  2006/05/18 20:00:52  baggins
- release 3
- strict reqs

Revision 1.164.4.4  2006/05/15 12:54:25  qboosh
- require libbonobo >= 2.14 at install time too

Revision 1.164.4.3  2006/05/15 12:50:58  baggins
- release 2
- merged missing patch

Revision 1.164.4.2  2006/05/15 12:43:54  baggins
- BR libbonobo-devel >= 2.14.0 (better safe than sorry)

Revision 1.164.4.1  2006/05/14 22:26:48  baggins
- merged from HEAD

Revision 1.168  2006/04/21 15:52:55  freetz
- 2.14.1, fully rebuild locale stuff

Revision 1.167  2006/04/01 23:41:55  qboosh
- Group fix, typos

Revision 1.166  2006/04/01 20:39:33  freetz
- merged from DEVEL

Revision 1.164.2.19  2006/03/13 13:45:29  freetz
- updated hal-devel BR

Revision 1.164.2.18  2006/03/13 13:44:26  freetz
- 2.14.0, runtime gnome-mount detection, depend on new hal API

Revision 1.164.2.17  2006/03/11 20:00:01  freetz
- sorted R:

Revision 1.164.2.16  2006/03/11 19:46:29  freetz
- fixed -devel Requires (thx pluto), rel.2

Revision 1.164.2.15  2006/02/27 15:04:50  freetz
- 2.13.92, expect some experiments (pmount/hal-mount/gnome-mount) here

Revision 1.164.2.14  2006/02/24 13:49:50  freetz
- re-enable gnome-mount support for test with gnome-mount-0.4, r.5.1

Revision 1.164.2.13  2006/02/23 17:35:21  freetz
- dropped storage-methods

Revision 1.164.2.12  2006/02/19 21:45:11  freetz
- disable gnome-mount (too much PITA for now, waiting for something usable)
  rel.4

Revision 1.164.2.11  2006/02/19 21:15:51  qboosh
- libs/devel files fix

Revision 1.164.2.10  2006/02/19 20:42:01  freetz
- libs subpackage added, rel.3

Revision 1.164.2.9  2006/02/18 22:24:15  freetz
- require storage-methods, rel.2

Revision 1.164.2.8  2006/02/17 05:36:16  aflinta
- latest inteltool required

Revision 1.164.2.7  2006/02/13 11:50:00  freetz
- 2.13.91

Revision 1.164.2.6  2006/01/23 08:48:51  freetz
- updated BR, TODO done

Revision 1.164.2.5  2006/01/21 23:27:33  freetz
- corrected avahi build requirement

Revision 1.164.2.4  2006/01/21 23:22:44  freetz
- BR: avahi-devel, enable gnome-mount

Revision 1.164.2.3  2006/01/18 21:44:01  freetz
- more howl disabling

Revision 1.164.2.2  2006/01/18 21:41:36  freetz
- 2.13.4, disable howl for now, TODO added, apidocs subpkg, updated BR

Revision 1.164.2.1  2006/01/05 13:39:07  patrys
- up to 2.13.3

Revision 1.165  2006/01/27 22:15:25  pluto
- release 2 for rebuild with new dbus.

Revision 1.164  2005/11/28 22:30:34  freetz
- 2.12.2

Revision 1.163  2005/10/19 17:39:15  freetz
- 2.12.1.1, samba fix already in sources, handle cdda:// links in nautilus
  (patch added)

Revision 1.162  2005/10/04 20:07:52  freetz
- fixed my cut&paste braindamage

Revision 1.161  2005/10/04 19:58:23  freetz
- 2.12.1, fix for samba >= 3.0.20 added

Revision 1.160  2005/09/06 12:32:19  aflinta
- merged from DEVEL

Revision 1.157.2.15  2005/09/05 13:08:30  freetz
- 2.12.0, defaults-path patch obsoleted

Revision 1.157.2.14  2005/08/24 15:00:54  paladine
- removed handle-drives-without-media-detection

Revision 1.157.2.13  2005/08/24 12:56:00  aflinta
- 2.11.92

Revision 1.157.2.12  2005/08/23 14:51:55  paladine
- added missing commit log

Revision 1.157.2.11  2005/08/23 14:35:15  paladine
- itemize schemas

Revision 1.157.2.10  2005/08/14 09:28:25  freetz
- dropped patches: resolve_fstab_symlinks, user_visible_drives, get_volume_
  for_path, added: handle-drives-without-media-detection, rel.4

Revision 1.157.2.9  2005/08/07 21:18:48  freetz
- really cleaned up

Revision 1.157.2.8  2005/08/07 21:03:34  freetz
- post-experiment cleanup

Revision 1.157.2.7  2005/08/07 20:31:13  freetz
- cdda method disabled by default (BR: cdparanoia remoed), added bunch of
  ubuntu/debian patches (small fixes / hal related fixes), cleanup, rel.3

Revision 1.157.2.6  2005/08/07 18:46:17  freetz
- yes, it works now, rel.2

Revision 1.157.2.5  2005/07/25 22:15:27  freetz
- 2.11.90

Revision 1.157.2.4  2005/07/13 10:17:05  wiget
- rebuild GNOME_VFS_Daemon*.[ch]

Revision 1.157.2.3  2005/07/13 09:12:50  wiget
- BR heimdail-devel >= 0.7

Revision 1.157.2.2  2005/07/11 13:45:35  freetz
- 2.11.4

Revision 1.157.2.1  2005/07/03 15:15:25  freetz
- 2.11.3, dropped hal bcond (mandatory), dropped obsoleted hal patch

Revision 1.157  2005/05/19 19:34:59  wrobell
- support for hal 0.5.2 added
- rel. 4

Revision 1.156  2005/05/13 13:28:42  blues
- release 3

Revision 1.155  2005/05/13 12:56:12  blues
- reverted last change

Revision 1.154  2005/05/11 07:56:35  blues
- release 2 - lets try if provides gnome-vfs2-vfolder-menu will allow to
  make smooth upgrade... STBR

Revision 1.153  2005/04/12 21:53:11  qboosh
- /sbin/ldconfig deps for post* -p are autogenerated

Revision 1.152  2005/04/12 19:23:21  freetz
- reversed ldconfig changes

Revision 1.151  2005/04/11 09:49:13  paladine
- updated to 2.10.1
- proper license
- missing R(post,postun): /sbin/ldconfig

Revision 1.150  2005/04/10 15:58:38  freetz
- new style macros, rel.7

Revision 1.149  2005/04/06 01:02:32  paladine
- cosmetics

Revision 1.148  2005/04/06 00:59:03  paladine
- missing BR: rpmbuild(macros) >= 1.196
- better %%postun
- tested :)
- rel. 6

Revision 1.147  2005/04/05 21:20:44  freetz
- removed deprecated gnome-mime dependecy (patch added)
- new style gconf macros, updated Rs, rel 5.1 for testing

Revision 1.146  2005/04/05 16:27:30  havner
- rebuild with new libsmbclient

Revision 1.145  2005/03/27 22:16:47  havner
- ok, don't obsolete desktop-file-utils, seems that it's still needed in
  gnome (control-center)
- rel 4

Revision 1.144  2005/03/27 18:30:42  havner
- don't require desktop-file-utils, obsolete them

Revision 1.143  2005/03/20 16:43:21  aflinta
- require proper howl in all places

Revision 1.142  2005/03/20 16:40:30  aflinta
- rebuild with howl-0.9.10, release 2

Revision 1.141  2005/03/09 19:16:50  qboosh
- libtool epoch

Revision 1.140  2005/03/08 22:20:10  patrys
- won't build with old libtool

Revision 1.139  2005/03/07 22:20:01  paladine
- merged from DEVEL

Revision 1.138  2005/02/23 13:12:21  paladine
- updated to 2.8.4
- proper license
- missing BR: pkgconfig

Revision 1.137.2.6  2005/03/07 17:48:00  wiget
- updated to 2.10.0
